/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

p:last-child {
  margin-bottom: 0;
}
.removeMargin p {
    margin-block-end: 0 !important;
}
ul, ol {
	margin-bottom: 24px;
}
.elementor-widget-text-editor a,
.elementor-widget-theme-post-content p a {
    color: var(--e-global-color-9ba7b36);
    text-decoration: underline;
    text-decoration-thickness: 0.5px;
    text-underline-offset: 5px;
}
.elementor-widget-text-editor a:hover,
.elementor-widget-text-editor a:focus,
.elementor-widget-theme-post-content p a:hover,
.elementor-widget-theme-post-content p a:focus {
    text-decoration: none;
}
.plainLink a {
	color: inherit !important;
	text-decoration: none !important;
}
.plainLink a:hover {
	color: inherit !important;
	text-decoration: none !important;
}
.plainLink a:focus {
	color: inherit !important;
	text-decoration: none !important;
}
.elementor-icon {
vertical-align:middle;
}
.elementor-icon-wrapper {
line-height: 0;
}
.elementor-widget-image a
{
width: 100%;
}
.elementor-widget-off-canvas {
--e-off-canvas-animation-duration: 300ms;
}
.elementor-widget-bathrooms, 
.elementor-widget-bedrooms, 
.elementor-widget-reception-rooms, 
.elementor-widget-council-tax-band,
.back-to-search a {
  display: flex;
  align-items: center;
  gap: 10px;
}

/* Button Styles */

.buttonTwo .elementor-button {
    color: var(--e-global-color-9ba7b36);
    border-color: var(--e-global-color-9ba7b36);
    background-color: var(--e-global-color-c476350);
}
.buttonTwo .elementor-button:hover {
	color: var(--e-global-color-accent);
	border-color: var(--e-global-color-9ba7b36);
    background-color: var(--e-global-color-9ba7b36);
}
.buttonTwo .elementor-button:focus {
	color: var(--e-global-color-accent);
	border-color: var(--e-global-color-9ba7b36);
    background-color: var(--e-global-color-9ba7b36);
}

.buttonThree .elementor-button {
    color: var(--e-global-color-primary);
    border-color: var(--e-global-color-accent);
    background-color: var(--e-global-color-accent);
}
.buttonThree .elementor-button:hover {
    border-color: var(--e-global-color-9ba7b36);
    background-color: var(--e-global-color-9ba7b36);
}
.buttonThree .elementor-button:focus {
    border-color: var(--e-global-color-9ba7b36);
    background-color: var(--e-global-color-9ba7b36);
}

/* Breadcrumbs */
.rank-math-breadcrumb {
    line-height: 1rem;
}
.rank-math-breadcrumb a,
.rank-math-breadcrumb .separator,
.rank-math-breadcrumb .last {
    font-family: var(--e-global-typography-54ee5f5-font-family), Sans-serif;
    font-size: var(--e-global-typography-54ee5f5-font-size);
    font-weight: var(--e-global-typography-54ee5f5-font-weight);
    text-transform: var(--e-global-typography-54ee5f5-text-transform);
    letter-spacing: var(--e-global-typography-54ee5f5-letter-spacing);
}
.rank-math-breadcrumb a,
.rank-math-breadcrumb .separator {
    color: var(--e-global-color-9ba7b36);
}
.rank-math-breadcrumb .last {
    color: var(--e-global-color-cc34c8a);
}

/* Single blog post */
.elementor-widget-theme-post-content ul, .elementor-widget-theme-post-content ol {
	margin-bottom: 14px !important;
}
.elementor-widget-theme-post-content h2 {
	margin-top: 32px;
	font-size: 38px;
	line-height: 42px;
}
.elementor-widget-theme-post-content h3,
.elementor-widget-theme-post-content h4,
.elementor-widget-theme-post-content h5,
.elementor-widget-theme-post-content h6 {
	margin-top: 24px;
}
.elementor-widget-theme-post-content img {
	width: 100% !important;
}
:where(figure) {
    margin: 32px 0 !important;
}

/* Property search bar */
.property-search-form {
    display: flex;
    gap: 20px;
    align-items: flex-end;
}

.property-search-form .control {
    padding: 0 !important;
}

.property-search-form select, 
.propertyhive-ordering select,
[class$="-calculator"] select {
    appearance: none;
    border-radius: 0;
    border-color: var(--e-global-color-42ec4d7);
    background-color: var(--e-global-color-accent);
	font-family: var(--e-global-typography-e20ba92-font-family), Sans-serif;
    font-size: var(--e-global-typography-e20ba92-font-size);
    font-weight: var(--e-global-typography-e20ba92-font-weight);
    line-height: var(--e-global-typography-e20ba92-line-height);
    letter-spacing: var(--e-global-typography-e20ba92-letter-spacing);
    color: var(--e-global-color-7e7ccc1);
    display: inline;
    padding: 12px 12px 12px 12px;
    margin: 0px 0px 0px 0px;
}

.property-search-form.clear::after {
    display: none;
}

.property-search-form .control-department {
    display: flex;
    gap: 20px;
}

.property-search-form .control-department input[type="radio"] {
    position: absolute;
    opacity: 0;
    width: 0;
    height: 0;
}

.property-search-form .control-department label {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    margin: 0 !important;
    padding: 18px !important;
    cursor: pointer;
    font-size: var(--e-global-typography-3cd2df0-font-size);
    line-height: 1rem;
    letter-spacing: var(--e-global-typography-3cd2df0-letter-spacing);
    border: 1px solid var(--e-global-color-9ba7b36);
    background-color: var(--e-global-color-c476350);
    color: var(--e-global-color-9ba7b36);
    transition: all 0.2s ease;
}

.property-search-form .control-department label:hover,
.property-search-form .control-department label:has(input:checked) {
    color: var(--e-global-color-accent);
    border-color: var(--e-global-color-9ba7b36);
    background-color: var(--e-global-color-9ba7b36);
}
	/* Mobile responsive for radios */
@media (max-width: 767px) {
    .property-search-form .control-department {
        display: flex !important;
        gap: 20px;
    }

    .property-search-form .control-department label {
        flex: 1;
        text-align: center;
    }
}

/* Property single post template image gallery */
.flexslider {
    margin: 0;
    background: none;
    border: none;
    margin-bottom: 20px;
}
#carousel > div > ul > li {
    margin-right: 20px !important;
}

/* Property Hive calculators */
[class$="-calculator"] label, .property-enquiry-form label {
    margin-bottom: 6px;
    display: block;
}
[class$="-calculator"] input[type="text"], .property-enquiry-form input {
    margin-bottom: 20px;
}
[class$="-calculator"] button, .property-enquiry-form input[type="submit"], .property-enquiry-form button {
    margin: 20px 0;
}
/* Property Hive enquiry form/popups */
.fancybox-content {
	background-color: var(--e-global-color-accent);
}
.fancybox-content button, .fancybox-content button:hover, .fancybox-content button:focus, .fancybox-toolbar button, .fancybox-toolbar button:hover, .fancybox-toolbar button:focus {
	background-color: transparent;
	border: none;
	color: var(--e-global-color-primary);
}
.fancybox-toolbar button,
.fancybox-button--close {
    display: flex !important;
    align-items: center !important;    /* vertical centering */
    justify-content: center !important; /* horizontal centering */
    padding: 0 !important;              /* remove default button padding */
}

.fancybox-toolbar button svg,
.fancybox-button--close svg {
    width: 24px;
    height: 24px;
    display: block; /* ensures proper alignment */
    color: var(--e-global-color-accent);
}
/* Property Hive media viewer lightbox */
.fancybox-container .fancybox-navigation button {
	border: none;
}
/* Trust Index widget */
.ti-review-text-container {
    font-family: var(--e-global-typography-bc9cfb0-font-family), Sans-serif !important;
    font-size: var(--e-global-typography-bc9cfb0-font-size) !important;
    font-weight: var(--e-global-typography-bc9cfb0-font-weight) !important;
    font-style: var(--e-global-typography-bc9cfb0-font-style) !important;
    line-height: var(--e-global-typography-bc9cfb0-line-height) !important;
    letter-spacing: var(--e-global-typography-bc9cfb0-letter-spacing) !important;
    color: var(--e-global-color-7e7ccc1) !important;
}
.ti-name {
    font-family: var(--e-global-typography-3cd2df0-font-family), Sans-serif !important;
    font-size: var(--e-global-typography-3cd2df0-font-size) !important;
    font-weight: var(--e-global-typography-3cd2df0-font-weight) !important;
    text-transform: var(--e-global-typography-3cd2df0-text-transform) !important;
    line-height: var(--e-global-typography-3cd2df0-line-height) !important;
    letter-spacing: var(--e-global-typography-3cd2df0-letter-spacing) !important;
    color: var(--e-global-color-primary) !important;
}
.ti-read-more span {
    padding-top: 20px;
    font-family: var(--e-global-typography-f352261-font-family), Sans-serif !important;
    font-size: var(--e-global-typography-f352261-font-size) !important;
    font-weight: var(--e-global-typography-f352261-font-weight) !important;
    line-height: var(--e-global-typography-f352261-line-height) !important;
    letter-spacing: var(--e-global-typography-f352261-letter-spacing) !important;
    color: var(--e-global-color-primary) !important;
}
.ti-controls-line {
    margin: 40px auto 0 auto !important;
}
.elementor-widget-trustindex-addon {
    max-width: 100%;
    overflow-x: hidden !important;
}